summaryrefslogtreecommitdiffstats
path: root/network/konversation
diff options
context:
space:
mode:
author Michiel van Wessem2010-05-11 15:01:30 +0200
committer Robby Workman2010-05-11 15:01:30 +0200
commit2599f60a36d860e83bddeec05cedf30d98cabe16 (patch)
tree3a9b81a0533251fe20759f18db85283f0eeac057 /network/konversation
parent71d2c0aa6ad19cea299785bd577f25166e19368e (diff)
downloadslackbuilds-2599f60a36d860e83bddeec05cedf30d98cabe16.tar.gz
network/konversation: Initial import
Diffstat (limited to 'network/konversation')
-rw-r--r--network/konversation/README10
-rw-r--r--network/konversation/konversation.SlackBuild75
-rw-r--r--network/konversation/konversation.info8
-rw-r--r--network/konversation/slack-desc11
4 files changed, 104 insertions, 0 deletions
diff --git a/network/konversation/README b/network/konversation/README
new file mode 100644
index 0000000000..f888f87d66
--- /dev/null
+++ b/network/konversation/README
@@ -0,0 +1,10 @@
+Konversation is an Internet Relay Chat (IRC) client for KDE (K Desktop Environment).
+Konversation is currently maintained in the KDE Extragear module, which means that
+it has its own release cycle independent from KDE's.
+
+Konversation features include:
+* integration of Konsole (using the KPart technology)
+* interaction with KAddressBook * themable nicklist icons
+* OSD (On Screen Display) * IPv6 support
+* multiserver support * [Secure Sockets Layer|SSL]]
+
diff --git a/network/konversation/konversation.SlackBuild b/network/konversation/konversation.SlackBuild
new file mode 100644
index 0000000000..1c79c01d0c
--- /dev/null
+++ b/network/konversation/konversation.SlackBuild
@@ -0,0 +1,75 @@
+#!/bin/sh
+
+# SlackBuild script for konversation
+# Written by Michiel van Wessem (BP{k}) <michiel.van.wessem@gmail.com
+# Modified by the SlackBuilds.org project
+
+NAME=konversation
+VERSION=1.0.1
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=`pwd`
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$NAME
+OUTPUT=${OUTPUT:-/tmp}
+
+# The documentation we want to include
+DOCFILES="AUTHORS COPYING COPYING-DOCS ChangeLog INSTALL README TODO VERSION"
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+elif [ "$ARCH" = "athlon_xp" ]; then
+ SLKCFLAGS="-O3 -march=athlon-xp -mtune=athlon-xp -pipe -fomit-frame-pointer -f fast-math -mmmx -m3dnow -msse -mfpmath=sse"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+rm -rf $TMP/$NAME-$VERSION
+
+cd $TMP || exit 1
+tar -xvjf $CWD/$NAME-$VERSION.tar.bz2 || exit 1
+cd $NAME-$VERSION || exit 1
+chown -R root:root .
+chmod -R a-s,u+w,go+r-w .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/opt/kde \
+ --localstatedir=/var \
+ --sysconfdir=/etc \
+ --mandir=/usr/man \
+ --program-prefix="" \
+ --program-suffix="" \
+ --disable-debug \
+ || exit 1
+
+make || exit 1
+make install DESTDIR=$PKG || exit 1
+
+mkdir -p $PKG/usr/doc/$NAME-$VERSION
+cp -a $DOCFILES $PKG/usr/doc/$NAME-$VERSION
+cat $CWD/$NAME.SlackBuild > $PKG/usr/doc/$NAME-$VERSION/$NAME.SlackBuild
+
+mkdir $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+( cd $PKG
+find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+if [ -d $PKG/usr/man ]; then
+ ( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in `find . -type l` ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+ )
+fi
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$NAME-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/network/konversation/konversation.info b/network/konversation/konversation.info
new file mode 100644
index 0000000000..5f1e2a848f
--- /dev/null
+++ b/network/konversation/konversation.info
@@ -0,0 +1,8 @@
+PRGNAM="konversation"
+VERSION="1.0.1"
+HOMEPAGE="http://konversation.kde.org"
+DOWNLOAD="http://download.berlios.de/konversation/konversation-1.0.1.tar.bz2 "
+MD5SUM="60c2c5f94d4a916055db09728304b19f"
+MAINTAINER="Michiel van Wessem"
+EMAIL="michiel.van.wessem@gmail.com"
+APPROVED="robw810"
diff --git a/network/konversation/slack-desc b/network/konversation/slack-desc
new file mode 100644
index 0000000000..2a549177bf
--- /dev/null
+++ b/network/konversation/slack-desc
@@ -0,0 +1,11 @@
+konversation: Konversation (KDE IRC client)
+konversation:
+konversation: Konversation is a user-friendly and highly configurable
+konversation: Internet Relay Chat client for KDE.
+konversation:
+konversation: Konversation has support for standard IRC features, SSL server
+konversation: support, bookmarking support, multiple identities for different
+konversation: servers, theme support, and much more.
+konversation:
+konversation:
+konversation: